Bug 1982929 - build cleanup test failing on release-openshift-origin-installer-old-rhcos-e2e-aws-4.7
Summary: build cleanup test failing on release-openshift-origin-installer-old-rhcos-e2...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Build
Version: 4.7
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: ---
: 4.7.z
Assignee: Adam Kaplan
QA Contact: XiuJuan Wang
URL:
Whiteboard:
Depends On: 1982928
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-07-16 03:07 UTC by OpenShift BugZilla Robot
Modified: 2021-08-11 06:42 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-08-11 06:41:09 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift origin pull 26334 0 None open [release-4.7] Bug 1982929: Improve GC Check for Builds 2021-07-26 12:44:11 UTC
Red Hat Product Errata RHSA-2021:2977 0 None None None 2021-08-11 06:42:01 UTC

Description OpenShift BugZilla Robot 2021-07-16 03:07:42 UTC
+++ This bug was initially created as a clone of Bug #1977097 +++

job:
release-openshift-origin-installer-old-rhcos-e2e-aws-4.7 

is always failing frequently in CI, see testgrid results:
https://testgrid.k8s.io/redhat-openshift-ocp-release-4.7-informing#release-openshift-origin-installer-old-rhcos-e2e-aws-4.7

The following test is consistently failing:

: [sig-builds][Feature:Builds] remove all builds when build configuration is removed oc delete buildconfig should start builds and delete the buildconfig [Suite:openshift/conformance/parallel] expand_less

fail [github.com/openshift/origin/test/extended/builds/remove_buildconfig.go:73]: timed out waiting for builds to clear


And needs investigation

Comment 2 XiuJuan Wang 2021-07-29 08:04:29 UTC
Validate e2e passed

Comment 6 errata-xmlrpc 2021-08-11 06:41:09 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.23 security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:2977


Note You need to log in before you can comment on or make changes to this bug.